View Issue Details

IDProjectCategoryView StatusLast Update
0000064Gorilla3D[All Projects] Bug Reportspublic2020-05-01 22:17
ReporteradministratorAssigned Toadministrator 
PriorityurgentSeverityminorReproducibilitysometimes
Status resolvedResolutionfixed 
Product Version0.8.2.x 
Target Version0.8.2.xFixed in Version0.8.2.x 
Summary0000064: Fix Normals of FMX primitives
DescriptionTGorillaCube (also TGorillaSphere, TGorillaPlane and TGorillaCylinder) is a copy of FMX TCube with a static buffer extension.
During normal mapping implementation we've seen found out, that generated normals by FMX are not completely correct!
TagsNo tags attached.
Delphi-Version 10.3.3
OpenGLVersionOpenGL 4.3

Activities

administrator

2020-05-01 22:17

administrator   ~0000072

done

Issue History

Date Modified Username Field Change
2020-03-09 09:35 administrator New Issue
2020-03-09 09:35 administrator Status new => assigned
2020-03-09 09:35 administrator Assigned To => administrator
2020-03-09 09:36 administrator Summary Fix Normals of TGorillaCube => Fix Normals of FMX primitives
2020-03-09 09:36 administrator Description Updated View Revisions
2020-03-09 09:36 administrator Product Version 0.8.3.x => 0.8.2.x
2020-03-09 09:36 administrator Target Version 0.8.3.x => 0.8.2.x
2020-04-29 08:51 administrator Priority high => urgent
2020-05-01 22:17 administrator Status assigned => resolved
2020-05-01 22:17 administrator Resolution open => fixed
2020-05-01 22:17 administrator Fixed in Version => 0.8.2.x
2020-05-01 22:17 administrator Note Added: 0000072